|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QCustomEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QCustomEvent class reference

### Public Functions

- QCustomEvent ( int type, void * data = 0 )
- void * data () const
- void setData ( void * data )

## Member Function Documentation

### QCustomEvent::QCustomEvent ( int type, void * data = 0 )

Constructs a custom event object with the event type and a pointer to data. The value of type must be at least as large as QEvent::User. By default, the data pointer is set to 0.

### void * QCustomEvent::data () const

Returns a pointer to the generic event data.

See also setData().

### void QCustomEvent::setData ( void * data )

Sets the generic data pointer to data.

See also data().